2019-12-11 21:06 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004293WHDLoad Installs Gamesslavepublic2019-11-29 00:29
ReporterSuperman 
Assigned ToCFOUProject InfoWHDLoad Installs for Games
http://whdload.de/download.html
 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Summary0004293: Streetfighter 2 1.2a
DescriptionAs soon as I double click on the icon to run the game I get a recoverable alert pop up. I thrn click the left mousebutton and the computer immediately resets into a guru meditation. I also have an A600 with Furia and it runs fine on that setup.
Steps To Reproduceclick on the icon
TagsNo tags attached.
MachineA1200
CPU68020
CPUSpeed33
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem0 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.5
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0007428

Superman (reporter)

Fogot to add I have an ACA1221 accelerator with 64mb fast ram too.

note ~0007504

CFOU (developer)

can you send to me your installed files to verify?

note ~0007505

Superman (reporter)

I got them from Retroplays WHDload folder on the EAB FTP. The LHA file is over 2mb so unfortunately won't allow me to attach them here.

note ~0007511

CFOU (developer)

can you see whdload startup window before guru?

note ~0007517

Superman (reporter)

No because as soon as I double click the icon it instantly goes to a recoverable alert. After clicking the left mouse a few times it then goes to a guru.

note ~0007518

Retroplay (reporter)

Installed game is here on EAB ftp:
http://grandis.nu:81/eabsearch/search.php?_search_=1&search=streetfighter2_v1.2a&category_id=Commodore_Amiga&exclude=&limit=

note ~0007519

CFOU (developer)

so if it's crash before whdload's startup windows, slave code is not launch.

I suppose you have instability in your system. perhaps corrupted library or memory damaged.

what is your exact configuration?

Can you test other whdload's slave using more 4Mo fastram with preload option to compare?

note ~0007520

Superman (reporter)

I’m using classicwb full on my A1200. I am soft kicking ks3.1 and have an ACA1221 accelerator 68020 with 64mb fast ram. I have just loaded the most memory hungry game I can think of which is Beneath a Steel Sky CD32 with speech. This preloads loads of data into ram and it loads fine after quite a few minutes of loading.

note ~0007522

CFOU (developer)

i don't undertand, your crash is during whdload initialisation not in the slave, it seems.

Can you test with snoopdos tool and send log file with all library/device/files accesses when you launch slave?

normaly you can create it same if there are a guru (just some last enties can be missing but it's interesting to see.

note ~0007530

Superman (reporter)

I have ran snoopdos but I don't raelly understand how to use it. Every time it reboots the log file I saved is 0 bytes and totally blank.

note ~0007531

Superman (reporter)

Ok so I tried running the game through Tinylauncher, I game and the gamesmenu built into classicwb and it runs ok though those. I normally open the S drawer then open the Streetfighter 2 drawer within that to run the game. It is this method that for some reason will not work on my machine so I guess the issue is my computer. Not sure why it wont run from clicking the SF2 icon though.

note ~0007532

Superman (reporter)

I did notice when snoopdos was running that I was getting a lot of Scalos fail messages when opening the drawers on the game partition. I don’t know what they are are.

note ~0007534

CFOU (developer)

can you send to my your icon that you use to launch game when is crashes?

perhaps it's corrupted or use exotical tooltype which perturb whdload?

note ~0007535

Superman (reporter)

I think this should be it

note ~0007537

CFOU (developer)

no problem with icon.

I think it's caused by your system.

your scalos must be to have an instability.

in my opinion is not caused by whdload, just revealed by whdload...

note ~0007538

Superman (reporter)

Yeah I guess this issue can now be closed as I can run it via a front end just not from the drawer diectly.

Thanks for looking into it.

note ~0007539

CFOU (developer)

not real bug report
+Notes

-Issue History
Date Modified Username Field Change
2019-11-20 14:04 Superman New Issue
2019-11-20 14:06 Superman Note Added: 0007428
2019-11-26 22:29 CFOU Note Added: 0007504
2019-11-26 22:35 Superman Note Added: 0007505
2019-11-27 02:13 CFOU Note Added: 0007511
2019-11-27 02:34 CFOU Assigned To => CFOU
2019-11-27 02:34 CFOU Status new => assigned
2019-11-27 10:53 Superman Note Added: 0007517
2019-11-27 10:59 Retroplay Note Added: 0007518
2019-11-27 11:18 CFOU Note Added: 0007519
2019-11-27 11:55 Superman Note Added: 0007520
2019-11-27 16:34 CFOU Note Added: 0007522
2019-11-28 11:13 Superman Note Added: 0007530
2019-11-28 11:21 Superman Note Added: 0007531
2019-11-28 11:31 Superman Note Added: 0007532
2019-11-28 18:23 CFOU Note Added: 0007534
2019-11-28 21:47 Superman File Added: StreetFighter2.info
2019-11-28 21:47 Superman Note Added: 0007535
2019-11-28 23:40 CFOU Note Added: 0007537
2019-11-29 00:17 Superman Note Added: 0007538
2019-11-29 00:29 CFOU Status assigned => closed
2019-11-29 00:29 CFOU Resolution open => fixed
2019-11-29 00:29 CFOU Note Added: 0007539
+Issue History